/*
 *
 *   (C) Copyright IBM Corp. 2003
 *
 *   This program is free software;  you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY;  without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program;  if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 *   Module: libdrivelink.so
 *
 *   File: dl_discovery.h
 */

#ifndef _DL_DISCOVERY_HEADER_
#define _DL_DISCOVERY_HEADER_ 1


int dl_add_child_object_to_drivelink( storage_object_t       * dlink,
				      storage_object_t       * child,
				      u_int32_t                child_serial_number );

int dl_discover( list_anchor_t input_objects, list_anchor_t output_objects, boolean final_call);

#endif

